# Uses of Class
jspecview.common.PanelNode

Packages that use PanelNode
Package
Description
jspecview.api
jspecview.app
jspecview.application
jspecview.common
jspecview.java
jspecview.js2d
jspecview.tree

## Uses of PanelNode in jspecview.api

Methods in jspecview.api that return PanelNode
Modifier and Type
Method
Description
`PanelNode`
JSVTreeNode.`getPanelNode()`
Methods in jspecview.api with parameters of type PanelNode
Modifier and Type
Method
Description
`void`
ScriptInterface.`siNodeSet(PanelNode node)`
`void`
ScriptInterface.`siSetMenuEnables(PanelNode node, boolean isSplit)`
Method parameters in jspecview.api with type arguments of type PanelNode
Modifier and Type
Method
Description
`void`
JSVMainPanel.`setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)`

## Uses of PanelNode in jspecview.app

Methods in jspecview.app with parameters of type PanelNode
Modifier and Type
Method
Description
`void`
JSVApp.`siNodeSet(PanelNode panelNode)`
`void`
JSVApp.`siSetMenuEnables(PanelNode node, boolean isSplit)`

## Uses of PanelNode in jspecview.application

Fields in jspecview.application declared as PanelNode
Modifier and Type
Field
Description
`PanelNode`
AwtTreeNode.`panelNode`
Methods in jspecview.application that return PanelNode
Modifier and Type
Method
Description
`PanelNode`
AwtTreeNode.`getPanelNode()`
Methods in jspecview.application with parameters of type PanelNode
Modifier and Type
Method
Description
`void`
ApplicationMenu.`setMenuEnables(PanelNode node)`
`void`
JSpecView.`siNodeSet(PanelNode panelNode)`
`void`
JSpecView.`siSetMenuEnables(PanelNode node, boolean isSplit)`
Constructors in jspecview.application with parameters of type PanelNode
Modifier
Constructor
Description
``
`AwtTreeNode(String text, PanelNode panelNode)`

## Uses of PanelNode in jspecview.common

Fields in jspecview.common with type parameters of type PanelNode
Modifier and Type
Field
Description
`Lst<PanelNode>`
JSViewer.`panelNodes`
Methods in jspecview.common that return PanelNode
Modifier and Type
Method
Description
`static PanelNode`
PanelNode.`findNode(JSVPanel jsvp, Lst<PanelNode> panelNodes)`
Returns the tree node that is associated with a panel
`static PanelNode`
PanelNode.`findNodeById(String id, Lst<PanelNode> panelNodes)`
`PanelNode`
JSViewer.`selectFrameNode(JSVPanel jsvp)`
Methods in jspecview.common with parameters of type PanelNode
Modifier and Type
Method
Description
`void`
JSViewer.`setNode(PanelNode node)`
Method parameters in jspecview.common with type arguments of type PanelNode
Modifier and Type
Method
Description
`static PanelNode`
PanelNode.`findNode(JSVPanel jsvp, Lst<PanelNode> panelNodes)`
Returns the tree node that is associated with a panel
`static PanelNode`
PanelNode.`findNodeById(String id, Lst<PanelNode> panelNodes)`
`static JDXSource`
PanelNode.`findSourceByNameOrId(String id, Lst<PanelNode> panelNodes)`
`static JSVPanel`
PanelNode.`getLastFileFirstNode(Lst<PanelNode> panelNodes)`
`static String`
PanelNode.`getSpectrumListAsString(Lst<PanelNode> panelNodes)`
`static int`
PanelNode.`isOpen(Lst<PanelNode> panelNodes, String filePath)`
`int`
JSViewer.`selectPanel(JSVPanel jsvp, Lst<PanelNode> panelNodes)`
From (AwtMainPanel or JsMainPanel).setSelectedPanel

## Uses of PanelNode in jspecview.java

Method parameters in jspecview.java with type arguments of type PanelNode
Modifier and Type
Method
Description
`void`
AwtMainPanel.`setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)`

## Uses of PanelNode in jspecview.js2d

Method parameters in jspecview.js2d with type arguments of type PanelNode
Modifier and Type
Method
Description
`void`
JsMainPanel.`setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)`

## Uses of PanelNode in jspecview.tree

Fields in jspecview.tree declared as PanelNode
Modifier and Type
Field
Description
`PanelNode`
SimpleTreeNode.`panelNode`
Methods in jspecview.tree that return PanelNode
Modifier and Type
Method
Description
`PanelNode`
SimpleTreeNode.`getPanelNode()`
Constructors in jspecview.tree with parameters of type PanelNode
Modifier
Constructor
Description
``
`SimpleTreeNode(String text, PanelNode panelNode)`